Debian Bug report logs - #552791
Copyright file does not contain verbatim copy of the license or a pointer to one

version graph

Package: acorn-fdisk; Maintainer for acorn-fdisk is Debian QA Group <packages@qa.debian.org>; Source for acorn-fdisk is src:acorn-fdisk.

Reported by: Manoj Srivastava <srivasta@debian.org>

Date: Thu, 29 Oct 2009 04:24:18 UTC

Severity: serious

Tags: patch

Found in version acorn-fdisk/3.0.6-6.2

Fixed in versions acorn-fdisk/3.0.6-6.3, acorn-fdisk/3.0.6-7

Done: Thorsten Glaser <tg@mirbsd.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Philip Blundell <pb@nexus.co.uk>:
Bug#552791; Package acorn-fdisk. (Thu, 29 Oct 2009 04:24:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@debian.org>:
New Bug report received and forwarded. Copy sent to Philip Blundell <pb@nexus.co.uk>. (Thu, 29 Oct 2009 04:24:35 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Copyright file does not contain verbatim copy of the license or a pointer to one
Date: Wed, 28 Oct 2009 01:03:26 -0500
Package: acorn-fdisk
Version: 3.0.6-6.2
Severity: serious

Hi,

        The copyright file should either have a verbatim copy of the
 license, or a statement that the license can be found in
 /usr/share/common-licenses on a Debian machine (and the FSF's address
 if they want toget the license from there.

        An email excerpt does not meet policy requirements.

        manoj

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'oldstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31.4-anzu-2 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages acorn-fdisk depends on:
ii  libc6                         2.10.1-2   GNU C Library: Shared libraries

acorn-fdisk recommends no packages.

acorn-fdisk suggests no packages.




Information forwarded to debian-bugs-dist@lists.debian.org, Philip Blundell <pb@nexus.co.uk>:
Bug#552791; Package acorn-fdisk. (Thu, 31 Dec 2009 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Philip Blundell <pb@nexus.co.uk>. (Thu, 31 Dec 2009 18:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 552791@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 552791@bugs.debian.org
Cc: control@bugs.debian.org
Subject: acorn-fdisk: diff for NMU version 3.0.6-6.3
Date: Thu, 31 Dec 2009 17:50:04 +0000 (UTC)
[Message part 1 (text/plain, inline)]
tags 552791 + pending
thanks

Dear Philip,

I have prepared an NMU for acorn-fdisk (version 3.0.6-6.3) to fix
the RC bug #552791 (Copyright file does not contain verbatim copy
of the license or a pointer to one) as well as a number of other
problems with the package. Basically the only lintian warning now
remaining is:

W: acorn-fdisk source: ancient-standards-version 3.5.2 (current is 3.8.3)

I’ll leave that one to you ☺


I will ask my AM to upload it to DELAYED/2, according to devref §5.11.1.
Please find the diff attached.

bye,
//mirabilos
-- 
Sometimes they [people] care too much: pretty printers [and syntax highligh-
ting, d.A.] mechanically produce pretty output that accentuates irrelevant
detail in the program, which is as sensible as putting all the prepositions
in English text in bold font.	-- Rob Pike in "Notes on Programming in C"
[acorn-fdisk_3.0.6-6.3.debdiff (text/plain, attachment)]

Added tag(s) pending. Request was from Thorsten Glaser <tg@mirbsd.de> to control@bugs.debian.org. (Thu, 31 Dec 2009 18:21:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Philip Blundell <pb@nexus.co.uk>:
Bug#552791; Package acorn-fdisk. (Sat, 02 Jan 2010 21:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Philip Blundell <pb@nexus.co.uk>. (Sat, 02 Jan 2010 21:12:06 GMT) Full text and rfc822 format available.

Message #17 received at 552791@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 552791@bugs.debian.org, 562647@bugs.debian.org
Subject: updated patches coming soon
Date: Sat, 2 Jan 2010 20:59:25 +0000 (UTC)
Hi,

updated patches coming soon, as I was asked to split between
the RC and other urgent fixes (like ftp rejects) and the other
fixes, which will go into separate bugreports.

Of course, if you're faster, feel free to make a new upload
with my patches.




Information forwarded to debian-bugs-dist@lists.debian.org, Philip Blundell <pb@nexus.co.uk>:
Bug#552791; Package acorn-fdisk. (Sun, 03 Jan 2010 16:00:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Philip Blundell <pb@nexus.co.uk>. (Sun, 03 Jan 2010 16:00:12 GMT) Full text and rfc822 format available.

Message #22 received at 552791@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 552791@bugs.debian.org
Subject: acorn-fdisk: diff for NMU version 3.0.6-6.3
Date: Sun, 3 Jan 2010 15:55:58 +0000 (UTC)
[Message part 1 (text/plain, inline)]
Hi,

same as last time, but this time, only fixing this particular bug.
Will ask my AM to upload to DELAYED/2.

bye,
//mirabilos
-- 
Sometimes they [people] care too much: pretty printers [and syntax highligh-
ting, d.A.] mechanically produce pretty output that accentuates irrelevant
detail in the program, which is as sensible as putting all the prepositions
in English text in bold font.	-- Rob Pike in "Notes on Programming in C"
[acorn-fdisk_3.0.6-6.3.debdiff (text/plain, ATTACHMENT)]
diff -u acorn-fdisk-3.0.6/debian/changelog acorn-fdisk-3.0.6/debian/changelog
--- acorn-fdisk-3.0.6/debian/changelog
+++ acorn-fdisk-3.0.6/debian/changelog
@@ -1,3 +1,12 @@
+acorn-fdisk (3.0.6-6.3) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * debian/copyright: Expand on the actual copyright owners (track
+    down fdisk.c) and point to a copy of an applicable licence;
+    explain which ones are applicable and why. (Closes: #552791)
+
+ -- Thorsten Glaser <tg@mirbsd.de>  Thu, 31 Dec 2009 16:41:44 +0000
+
 acorn-fdisk (3.0.6-6.2) unstable; urgency=low
 
   * NMU
diff -u acorn-fdisk-3.0.6/debian/copyright acorn-fdisk-3.0.6/debian/copyright
--- acorn-fdisk-3.0.6/debian/copyright
+++ acorn-fdisk-3.0.6/debian/copyright
@@ -7,6 +7,40 @@
 
 Copyright:
 
+The gros of this code is
+Copyright (C) 1997,1998 Russell King
+
+THIS SOFTWARE IS PROVIDED `AS IS'.  THE AUTHOR MAKES NO WARRANTY, EXPRESS
+OR IMPLIED OF ANY KIND, INCLUDING BUT NOT LIMITED TO THE MERCHANTABILITY
+AND FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT SHALL THE AUTHOR OF
+THIS SOFTWARE BE LIABLE FOR DAMAGES INCLUDING ANY GENERAL, SPECIAL,
+INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY
+TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA
+BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES
+OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN
+IF THE AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
+
+According to the author’s message pasted below, it is covered by
+the “GPL” since it contains “the original” fdisk.c which has been
+tracked down to be the one from util-linux.
+
+
+The fdisk.c source file in util-linux and Slackware 3.3 bears the
+following copyright notice:
+
+Copyright (C) 1992  A. V. Le Blanc (LeBlanc@mcc.ac.uk)
+
+This program is free software.  You can redistribute it and/or
+modify it under the terms of the GNU General Public License as
+published by the Free Software Foundation: either version 1 or
+(at your option) any later version.
+
+
+While the GPL version 1 does not come with the Debian system, a
+later version can be found in ‘/usr/share/common-licenses/GPL-2’
+on Debian systems.
+
+
  Subject: Re: fdisk
  From: Russell King - ARM Linux <linux@arm.linux.org.uk>
  Date: Sat, 10 Nov 2001 15:31:44 +0000

Information forwarded to debian-bugs-dist@lists.debian.org, Philip Blundell <pb@nexus.co.uk>:
Bug#552791; Package acorn-fdisk. (Mon, 04 Jan 2010 10:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Philip Blundell <pb@nexus.co.uk>. (Mon, 04 Jan 2010 10:54:07 GMT) Full text and rfc822 format available.

Message #27 received at 552791@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: 552791@bugs.debian.org
Cc: Thorsten Glaser <tg@mirbsd.org>
Subject: acorn-fdisk: diff for NMU version 3.0.6-6.3
Date: Mon, 4 Jan 2010 11:49:54 +0100
[Message part 1 (text/plain, inline)]
tags 552791 + patch
thanks

As discussed in this bug log, I've just uploaded to DELAYED/2 an NMU
sponsored for Thorsten Glaser.  Full nmudiff is attached.

Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime
[acorn-fdisk-3.0.6-6.3-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Mon, 04 Jan 2010 10:54:12 GMT) Full text and rfc822 format available.

Reply sent to Thorsten Glaser <tg@mirbsd.de>:
You have taken responsibility. (Wed, 06 Jan 2010 11:03:12 GMT) Full text and rfc822 format available.

Notification sent to Manoj Srivastava <srivasta@debian.org>:
Bug acknowledged by developer. (Wed, 06 Jan 2010 11:03:12 GMT) Full text and rfc822 format available.

Message #34 received at 552791-close@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 552791-close@bugs.debian.org
Subject: Bug#552791: fixed in acorn-fdisk 3.0.6-6.3
Date: Wed, 06 Jan 2010 11:02:08 +0000
Source: acorn-fdisk
Source-Version: 3.0.6-6.3

We believe that the bug you reported is fixed in the latest version of
acorn-fdisk, which is due to be installed in the Debian FTP archive:

acorn-fdisk_3.0.6-6.3.diff.gz
  to main/a/acorn-fdisk/acorn-fdisk_3.0.6-6.3.diff.gz
acorn-fdisk_3.0.6-6.3.dsc
  to main/a/acorn-fdisk/acorn-fdisk_3.0.6-6.3.dsc
acorn-fdisk_3.0.6-6.3_amd64.deb
  to main/a/acorn-fdisk/acorn-fdisk_3.0.6-6.3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 552791@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thorsten Glaser <tg@mirbsd.de> (supplier of updated acorn-fdisk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 31 Dec 2009 16:41:44 +0000
Source: acorn-fdisk
Binary: acorn-fdisk
Architecture: source amd64
Version: 3.0.6-6.3
Distribution: unstable
Urgency: low
Maintainer: Philip Blundell <pb@nexus.co.uk>
Changed-By: Thorsten Glaser <tg@mirbsd.de>
Description: 
 acorn-fdisk - Partition editor for Acorn/RISC OS machines
Closes: 552791
Changes: 
 acorn-fdisk (3.0.6-6.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/copyright: Expand on the actual copyright owners (track
     down fdisk.c) and point to a copy of an applicable licence;
     explain which ones are applicable and why. (Closes: #552791)
Checksums-Sha1: 
 aa990203da7007484c0a09a1c871320aa58235f8 974 acorn-fdisk_3.0.6-6.3.dsc
 328568e46531b144a9f8124c512413f6c7628fb4 6582 acorn-fdisk_3.0.6-6.3.diff.gz
 36520e7b24dc14c0272ae1331143c3c6986537ac 30470 acorn-fdisk_3.0.6-6.3_amd64.deb
Checksums-Sha256: 
 64fee86a8afa6a98c9063f9a5cd1068273058c6d6598dcf5779058c06bb73336 974 acorn-fdisk_3.0.6-6.3.dsc
 d0c983de37e40b61e4353f782e46b9746ead4f75462ae1974bbe180a724f334b 6582 acorn-fdisk_3.0.6-6.3.diff.gz
 a8d0933abc6a4d3d7a0aefe0c4a6575663a029f4d46cb915f72d0c8d84094b5b 30470 acorn-fdisk_3.0.6-6.3_amd64.deb
Files: 
 2adf23ce346c380d6e05e46a6afcadc6 974 base optional acorn-fdisk_3.0.6-6.3.dsc
 388cc672e0e333ce09921300631afc01 6582 base optional acorn-fdisk_3.0.6-6.3.diff.gz
 8af6b032f6acf85aaf8030a943856a13 30470 base optional acorn-fdisk_3.0.6-6.3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLQcda1cqbBPLEI7wRAojUAJ0TNBOFZf/fmyti/XemQ4XJhzSjngCgokQi
uWXPGc5zv0v2eOuYRLvbG8A=
=qViU
-----END PGP SIGNATURE-----





Reply sent to Thorsten Glaser <tg@mirbsd.de>:
You have taken responsibility. (Sat, 02 Oct 2010 19:06:14 GMT) Full text and rfc822 format available.

Notification sent to Manoj Srivastava <srivasta@debian.org>:
Bug acknowledged by developer. (Sat, 02 Oct 2010 19:06:14 GMT) Full text and rfc822 format available.

Message #39 received at 552791-close@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 552791-close@bugs.debian.org
Subject: Bug#552791: fixed in acorn-fdisk 3.0.6-7
Date: Sat, 02 Oct 2010 19:02:05 +0000
Source: acorn-fdisk
Source-Version: 3.0.6-7

We believe that the bug you reported is fixed in the latest version of
acorn-fdisk, which is due to be installed in the Debian FTP archive:

acorn-fdisk_3.0.6-7.diff.gz
  to main/a/acorn-fdisk/acorn-fdisk_3.0.6-7.diff.gz
acorn-fdisk_3.0.6-7.dsc
  to main/a/acorn-fdisk/acorn-fdisk_3.0.6-7.dsc
acorn-fdisk_3.0.6-7_i386.deb
  to main/a/acorn-fdisk/acorn-fdisk_3.0.6-7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 552791@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thorsten Glaser <tg@mirbsd.de> (supplier of updated acorn-fdisk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA384

Format: 1.8
Date: Sat, 02 Oct 2010 18:45:24 +0000
Source: acorn-fdisk
Binary: acorn-fdisk
Architecture: source i386
Version: 3.0.6-7
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Thorsten Glaser <tg@mirbsd.de>
Description: 
 acorn-fdisk - Partition editor for Acorn/RISC OS machines
Closes: 366447 436190 552791 563522 563996
Changes: 
 acorn-fdisk (3.0.6-7) unstable; urgency=low
 .
   * QA upload.
   * Acknowledge NMU (Closes: #366447) (Closes: #552791) (Closes: #563996)
     Thanks Martin!
   * Apply my patch from January 2010 (Closes: #563522)
     + fix compiler warnings:
       - fdisk.c: passing … from incompatible pointer type
       - lib/scheme/icside.c: dereferencing … does break strict-aliasing rules
         XXX there might be an endianness issue left from the original code
       - lib/scheme/pcbios.c: array subscript is above array bounds
       - lib/scheme/pcbios.c: use of uninitialised value
     + fix lintian warnings:
       - debhelper-but-no-misc-depends
       - debian-rules-ignores-make-clean-error
       - spelling-error-in-binary
       - unknown-section base
       - package-contains-empty-directory
     + debian/watch: new file (took me some time to track down upstream tho)
     + debian/control: add Homepage (as close to one as I could find)
     + debian/manpages, debian/acorn-fdisk.8: new files
   * Extend the manual page, obsoletes another bug (Closes: #436190)
   * Set maintainer to QA group. (I will however keep an eye on this
     package and, while not promising, might take it over. Not now.)
   * Add debian/source/format (preferring 1.0 at the moment)
   * Port this to GNU/kFreeBSD (some ideas from util-linux, 10x)
   * Disable building on GNU/Hurd until we have a way to port it
   * Fix more compiler warnings (format strings, unused variables)
   * Support short options in addition to GNU --long-options
   * Honour dpkg CFLAGS during build
   * debian/dirs: remove, not needed
   * debian/README.source: new, describe TODO
Checksums-Sha1: 
 4ada7392bf06e2090a8f6fb70dc6dd3aa1443893 1695 acorn-fdisk_3.0.6-7.dsc
 96658347c714d338e989e2b23cf738d985f69dbb 10687 acorn-fdisk_3.0.6-7.diff.gz
 5a10f5c36b045983a8b61d7e5ac4b0c85b19b1bf 31664 acorn-fdisk_3.0.6-7_i386.deb
Checksums-Sha256: 
 1c9dff66446727695cd6c43fdcc7b7508852829f4011d65dba153a06ad9dff30 1695 acorn-fdisk_3.0.6-7.dsc
 12a9ce0e700ed85e0baa69241427cc17f62d3f75aa093a8ca74696a7060ea7af 10687 acorn-fdisk_3.0.6-7.diff.gz
 63c5ab1ae099e7c454454efaf7a25e1e1d67ed5f152362af75094c844f8ff6a1 31664 acorn-fdisk_3.0.6-7_i386.deb
Files: 
 fe6f4bf0eca1000c5b7c9089f9cebd24 1695 admin optional acorn-fdisk_3.0.6-7.dsc
 d897bc7cbb354561067de0e73abcc15f 10687 admin optional acorn-fdisk_3.0.6-7.diff.gz
 a3f4794a9d437873e5e01169b2f44162 31664 admin optional acorn-fdisk_3.0.6-7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (MirBSD)

iQIVAwUBTKd/3Xa1NLLpkAfgAQlElg/5AZaGPe0EqO51oi0G0GGvwxbkHsYCuWJG
Me/h2Z1DpzJfA5868q+1ezy3NmGIJX/+5EMfUrWyBwsR9G2RFiUsMkSuqUxmWjSS
6an+4hc/IELN8WyT5XdaWWYa/hVs7d60iteKwvACdP0jjvbdUH8g15mLpIBvnEyD
PyY45SuGAlv6+cxoxb6soxf4rWzfXuW2Y7qo6YH0PsajkSaGxC55IwRA9IFugQVJ
wrj94CMhl5SraHmCrqceqOHqyOoNwhaD9GCBhSPlIqTZLJtYfcaG/gm+uAtKH/Zy
6KxqeA/9OXfA2BmLK8F5sTiB+eegsbzJyu2MWVkLQmRqzvuVEHoko3EyhZgHT54v
++HQz/Th88ulBHeXb7anlUSvFRNXlLhiIksi/NsCzq1XWPLtPO4hvNqtuZZg6cBg
RVsgaO7qmacUB8mPVQ9ckoRYubHAOlCYqPUGPZsRnWiKEANE0hKy6vNg6aVmGaLu
2zrF88T4Su3k/jQwSOjshndKPxM6FlDOQBZn4dVZpaXZoxNTB1/478Bq8mBI/d1t
JRZo9OV1gp2KCbI1f6Npkdso4xxgI5efooMMWp4f/QND/CUMgj6leSIU+dFPw6Ef
qyhmoBPu8qUyeCeuMOpOa7CwasZXZC1LieicaO4RCd+DB0Dydljvg1mrznuzZEw0
SgJdBk3zxJI=
=MX7v
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 10:19:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:04:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.